org.apache.ignite.internal.processors.query.schema.message

## Class SchemaFinishDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage
  - - org.apache.ignite.internal.processors.query.schema.message.SchemaFinishDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class SchemaFinishDiscoveryMessage
    extends SchemaAbstractDiscoveryMessage

Schema change finish discovery message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage

`op`

### Constructor Summary

Constructors
Constructor and Description
`SchemaFinishDiscoveryMessage(SchemaAbstractOperation op, SchemaOperationException err)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`@Nullable SchemaOperationException` `error()`
`boolean` `exchange()`
`boolean` `hasError()`
`boolean` `isMutable()`
`SchemaProposeDiscoveryMessage` `proposeMessage()`
`void` `proposeMessage(SchemaProposeDiscoveryMessage proposeMsg)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage

`createDiscoCache, id, operation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`stopProcess`

### Constructor Detail

#### SchemaFinishDiscoveryMessage

    public SchemaFinishDiscoveryMessage(SchemaAbstractOperation op,
                                        SchemaOperationException err)

Constructor.

Parameters:
  `op` - Original operation.
  `err` - Error.

### Method Detail

#### ackMessage

    @Nullable
    public @Nullable DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Returns:
  `True` if message can be modified during listener notification. Changes will be sent to next nodes.

#### exchange

    public boolean exchange()

Specified by:
  `exchange` in class `SchemaAbstractDiscoveryMessage`
Returns:
  Whether request must be propagated to exchange thread.

#### hasError

    public boolean hasError()

Returns:
  `True` if error was reported during init.

#### error

    @Nullable
    public @Nullable SchemaOperationException error()

Returns:
  Error message (if any).

#### proposeMessage

    public SchemaProposeDiscoveryMessage proposeMessage()

Returns:
  Propose message.

#### proposeMessage

    public void proposeMessage(SchemaProposeDiscoveryMessage proposeMsg)

Parameters:
  `proposeMsg` - Propose message.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractDiscoveryMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023